aboutsummaryrefslogtreecommitdiff
path: root/examples/compositor/gen-protos.sh
diff options
context:
space:
mode:
Diffstat (limited to 'examples/compositor/gen-protos.sh')
-rwxr-xr-xexamples/compositor/gen-protos.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/examples/compositor/gen-protos.sh b/examples/compositor/gen-protos.sh
new file mode 100755
index 00000000..d1d06407
--- /dev/null
+++ b/examples/compositor/gen-protos.sh
@@ -0,0 +1,11 @@
+#!/usr/bin/env bash
+
+# TODO add me to the build system
+
+set -e
+
+rm -rf xdg-shell
+mkdir -p xdg-shell
+wayland-scanner code /usr/share/wayland-protocols/unstable/xdg-shell/xdg-shell-unstable-v6.xml xdg-shell/xdg-shell.c
+wayland-scanner server-header /usr/share/wayland-protocols/unstable/xdg-shell/xdg-shell-unstable-v6.xml xdg-shell/xdg-shell.h
+